Bug 141945 - ftp/proftpd: fix for static pidfile in rc.d/proftpd
Summary: ftp/proftpd: fix for static pidfile in rc.d/proftpd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-24 12:00 UTC by Danil
Modified: 2010-01-04 04:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Danil 2009-12-24 12:00:16 UTC
Sorry for my bad english.

The pid file of proftpd cat be set in proftpd.conf (PidFile file), but
rc script see the pid file in pidfile=/var/run/proftpd/pidfile, when
user use start, restart, status, etc.

Fix: 

in rc script pidfile=`grep PidFile /usr/local/etc/proftpd.conf | awk '{print($2)}'`
How-To-Repeat: in proftpd.conf PidFile not eq pidfile in rc script proftpd
Comment 1 Philip M. Gollucci freebsd_committer 2009-12-26 07:05:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-01-04 04:34:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2010-01-04 04:34:24 UTC
pgollucci    2010-01-04 04:34:07 UTC

  FreeBSD ports repository

  Modified files:
    ftp/proftpd          Makefile 
  Added files:
    ftp/proftpd/files    proftpd.in 
  Removed files:
    ftp/proftpd/files    proftpd.sh.in 
  Log:
  - Pull the pidfile path from a central location (the config file)
    instead of hard coding it again in the rc.d script
  
  PR:             ports/141945
  Submitted by:   Danil <desruptorrogue@gmail.com>
  
  Revision  Changes    Path
  1.166     +2 -1      ports/ftp/proftpd/Makefile
  1.1       +43 -0     ports/ftp/proftpd/files/proftpd.in (new)
  1.5       +0 -43     ports/ftp/proftpd/files/proftpd.sh.in (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"